Company logoTrust Center Documentation

Get an import

Return one target-specific detail variant. Both variants use items for editable or review rows. Private file references, OCR Markdown, and raw source content…

GET
/api/v1/imports/{id}

Return one target-specific detail variant. Both variants use items for editable or review rows. Private file references, OCR Markdown, and raw source content are not returned.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/imports/string"
{  "import": {    "id": "string",    "source_label": "string",    "state": "created",    "phase": "idle",    "defaults": {      "access_level": "public"    },    "row_count": 0,    "valid_count": 0,    "warning_count": 0,    "error_count": 0,    "progress_current": 0,    "progress_total": 0,    "ai_enabled_at_prepare": true,    "ai_skipped": true,    "requires_less_restrictive_confirmation": true,    "access_level_summary": {      "property1": 0,      "property2": 0    },    "last_error_code": "string",    "target_type": "knowledge_base",    "source_type": "spreadsheet",    "mapping": {      "question": "string",      "answer": "string"    },    "items": [      {        "row_index": 0,        "question": "string",        "answer_excerpt": "string",        "suggested_tags": [          "string"        ],        "suggested_access_level": "public",        "status": "valid",        "codes": [          "string"        ]      }    ],    "commit_result": {      "created": [        {          "id": "string",          "status": "published",          "question": "string",          "answer": "string"        }      ],      "skipped": [        {          "row_index": 0,          "code": "string"        }      ],      "failed": [        {          "row_index": 0,          "code": "string"        }      ]    }  }}

How is this guide?